<?php
/*
Plugin Name: Navigation Menu
Plugin URI: http://sneakatron.110mb.com/blog
Description: Used to create a navigation Bar
Author: sneakatron
Version: 0.0.1
Author URI: http://sneakatron.110mb.com/blog
Note: To make the page that is being displayed show that it is being displayed on the navigation add: 
class=\"current_page_item\" 
to the LI tag of the page being displayed
*/ 

function plugin_navigationMenu_widget() {

/* This is used to get the filename and extension e.g. about.php */
    $currentFile = $_SERVER["SCRIPT_NAME"];
    $parts = Explode('/', $currentFile);
    $currentFile = $parts[count($parts) - 1]; 
/* This is used to get the directory  e.g. /blog */	
	$blogdirectory = $_SERVER["SCRIPT_NAME"];
    $partss = Explode('/', $blogdirectory);
    $blogdirectory = $partss[count($partss) - 2]; 
	
/* Returns The whole URL e.g. sneakatron.info/blog/about.php 
This is not needed for the plugin..but it's nice to note.*/
$currentPage = "http://".$_SERVER['SERVER_NAME'].$_SERVER["REQUEST_URI"];
/*  This gets the top URL*/
$topLev = $_SERVER['SERVER_NAME'];

/* This is where you come in ;) */
/*  Define Your static pages here. just change the "page=about" to page=StaticPageName */        
$about = "http://$topLev/$blogdirectory/$currentFile?page=about";
$contact ="http://$topLev/$blogdirectory/$currentFile?page=contact";



/* If this is the front page of your blog then display this code */
if ($currentFile == "index.php") {
		echo "<div id=\"navigation\">
 <ul>
	<li class=\"current_page_item\"><a href=\"{$baseurl}index.php\">Home</a></li>
	<li><a href=\"$about\">About</a></li>
	<li><a href=\"$contact\">Contact</a></li>
</ul>
</div><!-- end id:navigation -->";
	} 
/* Checks if it is a static page */	
else if ($currentFile == "static.php" ) {
/* If it is a static page and the pages URL = "httP://sitename/blogdirectory/static.php?page=about" then display this code */
if ($currentPage == $about){
		echo "<div id=\"navigation\">
<ul>
	<li><a href=\"{$baseurl}index.php\">Home</a></li>
	<li class=\"current_page_item\"><a href=\"$about\">About</a></li>
	<li><a href=\"$contact\">Contact</a></li>
</ul>
</div><!-- end id:navigation -->";
}
/* If it is a static page and the pages URL = "httP://sitename/blogdirectory/static.php?page=contact" then display this code */
if ($currentPage == $contact){
		echo "<div id=\"navigation\">
<ul>
	<li><a href=\"{$baseurl}index.php\">Home</a></li>
	<li><a href=\"$about\">About</a></li>
	<li class=\"current_page_item\"><a href=\"$contact\">Contact</a></li>
</ul>
</div><!-- end id:navigation -->";
}

} 

/* if it doesn't match any of the URLs then display this code */
else {
	 echo	"<div id=\"navigation\">
<ul>
	<li><a href=\"{$baseurl}index.php\">Home</a></li>
	<li><a href=\"$about\">About</a></li>
	<li><a href=\"$contact\">Contact</a></li>
</ul>
</div><!-- end id:navigation -->"; 
}
}
?>
